Name:           pentobi
Version:        13.0
Release:        %mkrel 1
Summary:        Blokus board game with a component opponent
Group:          Games/Boards
License:        GPLv3+
URL:            http://pentobi.sourceforge.net
Source0:        https://download.sf.net/pentobi/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

%description
Pentobi is a computer opponent for the board game Blokus.

- Supported game variants: Classic, Duo, Trigon, Junior, Nexos, Callisto
- Strong Blokus engine with 9 different playing levels
- Player rating by playing rated games against the computer
- Game analysis function
- Save and load games in Smart Game Format including comments and move variations

%prep
%autosetup

%build
%cmake \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%make_build

%install
%make_install -C build

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc NEWS
%license COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}-mime.xml
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-thumbnailer
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/mimetypes/application-x-blokus-sgf.*
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}-thumbnailer.6*


%changelog
* Sun Mar 19 2017 akien <akien> 13.0-1.mga6
+ Revision: 1093571
- Version 13.0

* Fri Jan 27 2017 akien <akien> 12.2-1.mga6
+ Revision: 1083669
- imported package pentobi

